Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.SendingContext
Class RunTimeHelper

    java.lang.Object
      |
      +--org.omg.SendingContext.RunTimeHelper

public class RunTimeHelper
extends java.lang.Object

Helper class for : RunTime

Author:
  OpenORB Compiler

Constructor Summary
`RunTimeHelper()`

Method Summary
`static RunTime` | `extract(Any a)` Extract RunTime from an any
`static java.lang.String` | `id()` Return the RunTime IDL ID
`static void` | `insert(Any a, RunTime t)` Insert RunTime into an any
`static RunTime` | `narrow(Object obj)` Narrow CORBA::Object to RunTime
`static RunTime` | `read(InputStream istream)` Read RunTime from a marshalled stream
`static TypeCode` | `type()` Return the RunTime TypeCode
`static RunTime` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to RunTime
`static void` | `write(OutputStream ostream, RunTime value)` Write RunTime into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunTimeHelper

    public RunTimeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              RunTime t)

  Insert RunTime into an any
  Parameters:
    `a` - an any
    `t` - RunTime value

### extract

    public static RunTime extract(Any a)

  Extract RunTime from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RunTime value

### type

    public static TypeCode type()

  Return the RunTime TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RunTime IDL ID
  Returns:
    an ID

### read

    public static RunTime read(InputStream istream)

  Read RunTime from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RunTime value

### write

    public static void write(OutputStream ostream,
                             RunTime value)

  Write RunTime into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RunTime value

### narrow

    public static RunTime narrow(Object obj)

  Narrow CORBA::Object to RunTime
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RunTime Object

### unchecked_narrow

    public static RunTime unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to RunTime
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RunTime Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD